{% extends 'core/base.html' %}

{% block extra_css %}
    <style>
        .title {
            text-align: center;
            margin: 40px 20px 20px;
            font-weight: bold;
        }

        .action-form {
            display: flex;
            justify-content: space-between;
        }

        .action-form .right {
            display: flex;
        }

        .mr-10 {
            margin-right: 10px;
        }

    </style>
{% endblock %}

{% block content %}
    <form action="" method="post">
        {% csrf_token %}
        <h2 class="title">
            {% if employee %}
                Editar empleado
            {% else %}
                Agregar un nuevo empleado
            {% endif %}
        </h2>
        {% include 'core/alert_message.html' %}
        <div class="form__group">
            <label class="form__label" for="name">Nombre</label>
            <input class="form__input"
                   id="name"
                   name="name"
                   type="text"
                   placeholder="Ingresa tu nombre"
                   required
                   {% if employee %}
                       value="{{ employee.name }}"
                   {% endif %}
                   aria-invalid="true"
                   aria-describedBy="required-error"
            />
        </div>
        <div class="form__group">
            <label class="form__label" for="position">Cargo</label>
            <div class="form__select">
                <select class="form__input" name="position" id="position" aria-invalid="false">
                    {% for p in positions %}
                        <option value="{{ p.0 }}"
                        {% if employee %}
                            {% if p.0 == employee.position %}
                                selected
                            {% endif %}
                        {% endif %}
                        >{{ p.1 }}</option>
                    {% endfor %}
                </select>
            </div>
        </div>
        <div class="form__group">
            <label class="form__label" for="years_old">Edad</label>
            <input class="form__input"
                   id="years_old"
                   name="years_old"
                   type="number"
                   placeholder="Ingresa tu edad"
                   {% if employee %}
                       value="{{ employee.years_old }}"
                   {% endif %}
                   required
                   aria-invalid="true"
                   aria-describedBy="required-error"
            />
        </div>

        <div class="action-form">
            <div class="left">
                <a class="btn button btn--danger" href="{% url 'employee:list_employee' %}">Volver</a>
            </div>
            <div class="right">
                {% if employee %}
                    <input class="btn mr-10 btn--secondary" type="submit" value="Eliminar"
                       name="_delete">
                {% else %}
                    <input class="btn mr-10 btn--secondary" type="submit" value="Guardar y agregar otro"
                       name="_addanother">
                {% endif %}
                <input class="btn btn--primary" type="submit" value="Guardar" name="_save">
            </div>
        </div>
    </form>
{% endblock %}


{% block extra_js %}
{% endblock %}